Package classycle

# Class PackageVertex

java.lang.Object
classycle.graph.Vertex
classycle.graph.AtomicVertex
classycle.PackageVertex

All Implemented Interfaces:
  `Comparable<Vertex>`

public class PackageVertex extends AtomicVertex

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`PackageVertex(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addClass(ClassAttributes classAttributes)`

### Methods inherited from class classycle.graph.AtomicVertex

`getLow, getOrder, isGraphVertex, reset, setDefaultValueOfGraphVertexFlag, setLow, setOrder`

### Methods inherited from class classycle.graph.Vertex

`addIncomingArcTo, addOutgoingArcTo, compareTo, getAttributes, getHeadVertex, getNumberOfIncomingArcs, getNumberOfOutgoingArcs, getTailVertex, isVisited, toString, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PackageVertex

public PackageVertex(String name)

## Method Details

### addClass

public void addClass(ClassAttributes classAttributes)